/*
 * Flipper.h
 *
 *  Created on: May 5, 2019
 *      Author: Andreas Schneider, Johannes Wendel, Jonas Zeunert
 */

#ifndef _INCLUDE_FLIPPR_CODE_FLIPPER_H
#define _INCLUDE_FLIPPR_CODE_FLIPPER_H

#include "Item.h"

namespace flippR_driver
{
namespace output
{
namespace items
{

class Flipper : public virtual Item
{
public:
  virtual ~Flipper() = default;

  virtual void activate() = 0;
  virtual void deactivate() = 0;
  virtual bool is_activated() = 0;
};

}
}
}


#endif //FLIPPR_CODE_FLIPPER_H
